Skip to main content
POST
Assign a badge

Authorizations

Authorization
string
header
default:Token token=<api-key>
required

API authentication using your community API secret. The value below is sent as the Authorization header verbatim, so paste the whole header value including the prefix: Token token=

Path Parameters

badge_id
string
required

The badge id, or the third-party reference of its call to action

Body

application/json

The record to assign the badge to

id
integer

The id of the record to assign the badge to

Example:

1

type
string

The type of the record to assign the badge to

Example:

"Content"

user_email
string<email>

Assigns the badge to the user with this email address. Use instead of id and type

Example:

"jane@example.com"

verification_url
string

Optional URL where the assignment can be verified

Example:

"https://example.com/certificates/42"

Response

The badge was assigned

message
string
required
Example:

"Badge #1 assigned to Content #2"